import request from '@/utils/request'

// 查询项目成本产值列表
export function listCostOutput(query) {
  return request({
    url: '/project/costOutput/list',
    method: 'get',
    params: query
  })
}

// 查询项目成本产值详细
export function getCostOutput(id) {
  return request({
    url: '/project/costOutput/' + id,
    method: 'get'
  })
}

// 新增项目成本产值
export function addCostOutput(data) {
  return request({
    url: '/project/costOutput',
    method: 'post',
    data: data
  })
}

// 修改项目成本产值
export function updateCostOutput(data) {
  return request({
    url: '/project/costOutput',
    method: 'put',
    data: data
  })
}

// 删除项目成本产值
export function delCostOutput(id) {
  return request({
    url: '/project/costOutput/' + id,
    method: 'delete'
  })
}
