package com.yanzhu.jh.project.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.yanzhu.jh.project.domain.SurProjectCostOutput;
import com.yanzhu.jh.project.mapper.SurProjectCostOutputMapper;
import com.yanzhu.jh.project.service.ISurProjectCostOutputService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 项目成本产值Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-27
 */
@Service
public class SurProjectCostOutputServiceImpl implements ISurProjectCostOutputService
{
    @Autowired
    private SurProjectCostOutputMapper surProjectCostOutputMapper;

    /**
     * 查询项目成本产值
     * 
     * @param id 项目成本产值主键
     * @return 项目成本产值
     */
    @Override
    public SurProjectCostOutput selectSurProjectCostOutputById(Long id)
    {
        return surProjectCostOutputMapper.selectSurProjectCostOutputById(id);
    }

    /**
     * 查询项目成本产值列表
     * 
     * @param surProjectCostOutput 项目成本产值
     * @return 项目成本产值
     */
    @Override
    public List<SurProjectCostOutput> selectSurProjectCostOutputList(SurProjectCostOutput surProjectCostOutput)
    {
        return surProjectCostOutputMapper.selectSurProjectCostOutputList(surProjectCostOutput);
    }

    /**
     * 新增项目成本产值
     * 
     * @param surProjectCostOutput 项目成本产值
     * @return 结果
     */
    @Override
    public int insertSurProjectCostOutput(SurProjectCostOutput surProjectCostOutput)
    {
        surProjectCostOutput.setCreateBy(SecurityUtils.getUsername());
        surProjectCostOutput.setCreateTime(DateUtils.getNowDate());
        return surProjectCostOutputMapper.insertSurProjectCostOutput(surProjectCostOutput);
    }

    /**
     * 修改项目成本产值
     * 
     * @param surProjectCostOutput 项目成本产值
     * @return 结果
     */
    @Override
    public int updateSurProjectCostOutput(SurProjectCostOutput surProjectCostOutput)
    {
        surProjectCostOutput.setUpdateBy(SecurityUtils.getUsername());
        surProjectCostOutput.setUpdateTime(DateUtils.getNowDate());
        return surProjectCostOutputMapper.updateSurProjectCostOutput(surProjectCostOutput);
    }

    /**
     * 批量删除项目成本产值
     * 
     * @param ids 需要删除的项目成本产值主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectCostOutputByIds(Long[] ids)
    {
        return surProjectCostOutputMapper.deleteSurProjectCostOutputByIds(ids);
    }

    /**
     * 删除项目成本产值信息
     * 
     * @param id 项目成本产值主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectCostOutputById(Long id)
    {
        return surProjectCostOutputMapper.deleteSurProjectCostOutputById(id);
    }
}
